| Version: 3.0.4

Public Attributes | List of all members
wxPGPaintData Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/propgrid/property.h>`

## Detailed Description

Contains information relayed to property's OnCustomPaint.

## Public Attributes
const wxPropertyGrid * | m_parent
| wxPropertyGrid. More...
int | m_choiceItem
| Normally -1, otherwise index to drop-down list item that has to be drawn. More...
int | m_drawnWidth
| Set to drawn width in OnCustomPaint (optional). More...
int | m_drawnHeight
| In a measure item call, set this to the height of item at m_choiceItem index. More...

## Member Data Documentation

## ◆ m_choiceItem

int wxPGPaintData::m_choiceItem

Normally -1, otherwise index to drop-down list item that has to be drawn.

## ◆ m_drawnHeight

int wxPGPaintData::m_drawnHeight

In a measure item call, set this to the height of item at m_choiceItem index.

## ◆ m_drawnWidth

int wxPGPaintData::m_drawnWidth

Set to drawn width in OnCustomPaint (optional).

## ◆ m_parent

const wxPropertyGrid* wxPGPaintData::m_parent

wxPropertyGrid.